#ifndef MAINMENU_H
#define MAINMENU_H

#include "gui/scene.h"
#include "gui/buttoneventlistener.h"

namespace Ui {
class MainMenu;
}

class MainMenu : public Scene
{
    Q_OBJECT
public:
    explicit MainMenu(QWidget *parent = 0);
    ~MainMenu();

    void init() override;

    void deinit() override;

private slots:

    void on_hotseat_button_clicked();

    void on_leave_game_button_clicked();

    void on_about_us_button_clicked();

private:
    Ui::MainMenu *ui;
    ButtonEventListener * watcher;
};

#endif // MAINMENU_H
